%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(python2.6 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(python2.6 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libkate
#Epoch:		0
Version:	0.3.8
Release:	1
License:	New BSD
URL:		http://code.google.com/p/libkate/
Group:		System/Libraries
Summary:	karaoke overlay codec for Ogg
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		libkate-python26.patch

# Requires:

# BuildRequires:
BuildRequires: flex-devel
BuildRequires: python26-devel
BuildRequires: doxygen
BuildRequires: liboggz-devel

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Kate is an overlay codec, originally designed for karaoke and text, that can be multiplixed in Ogg. Text and images can be carried by a Kate stream, and animated. Most of the time, this would be multiplexed with audio/video to carry subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various properties (text position, font size, etc) to create animated overlays. This allows scrolling or fading text to be defined. This can even be used to draw arbitrary shapes, so hand drawing can also be represented by a Kate stream. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
PYTHON=/usr/bin/python%{PYVER} \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/KateDJ
%{_bindir}/kateenc
%{_libdir}/libkate.so.*
%{_libdir}/liboggkate.so.*
%{_libdir}/python2.6/site-packages/kdj
%{_mandir}/man1/katalyzer.1.gz
%{_mandir}/man1/katedec.1.gz
%{_mandir}/man1/KateDJ.1.gz
%{_mandir}/man1/kateenc.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/kate/kate_config.h
%{_includedir}/kate/kate.h
%{_includedir}/kate/oggkate.h
%{_libdir}/libkate.a
%{_libdir}/libkate.la
%{_libdir}/libkate.so
%{_libdir}/liboggkate.a
%{_libdir}/liboggkate.la
%{_libdir}/liboggkate.so
%{_pkgconfig}/kate.pc
%{_pkgconfig}/oggkate.pc
%{_docdir}/libkate


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.8-1
- initial CCux package release
